%define name xvid
%define version 1.1.2
%define fname xvidcore-%version
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%define distsuffix plf

%define major 4
%if %mdkversion <= 900
%define libname libxvid%major
%else
%define libname %mklibname %name %major
%endif

Summary: Video codec compatible with divx4
Name: %{name}
Version: %{version}
Release: %mkrel 1
Source0: http://downloads.xvid.org/downloads/%fname.tar.bz2
License: GPL
Group: System/Libraries
URL: http://www.xvid.org
BuildRoot: %{_tmppath}/%{name}-buildroot
Epoch: 2
%ifarch %ix86
BuildRequires: nasm >= 0.98.30
%endif

%description
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

This package is in PLF for patent issues.

%package -n %libname
Group: System/Libraries
Summary: Video codec compatible with divx4
Provides: lib%name = %version-%release
Obsoletes: %name
Provides: %name

%description -n %libname 
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

It's in PLF for patent issues.

%package -n %libname-devel
Group:Development/C
Summary: Video codec compatible with divx4, devel files
Requires: %libname = %epoch:%version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Conflicts: xvid2-devel
Provides: lib%name-devel = %version-%release
Provides: xvid4-devel = %version-%release

%description -n %libname-devel
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

It's in PLF for patent issues.

This package contains the header files and static libraries needed to
build programs with the xvid codec using it's native API.

%prep
%setup -q -n %fname

%build
cd build/generic
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
cd build/generic
%makeinstall
ln -s libxvidcore.so.%major %buildroot%_libdir/libxvidcore.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname 
%defattr(-,root,root)
%doc LICENSE README
%_libdir/libxvidcore.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%doc ChangeLog CodingStyle TODO AUTHORS
%_libdir/libxvidcore.so
%_libdir/libxvidcore.a
%_includedir/xvid.h

%changelog
* Wed Nov  1 2006 Gtz Waschk <goetz@zarb.org> 1.1.2-1plf2007.1
- fix description
- new source URL
- new version

* Sat Dec 31 2005 trem <trem@zarb.org> 1.1.0-1plf
- new version

* Mon Apr 25 2005 Gtz Waschk <goetz@zarb.org> 1.1.0-0.beta2.1plf
- new version

* Thu Apr 14 2005 Gtz Waschk <goetz@zarb.org> 1.0.3-2plf
- mkrel

* Thu Feb 17 2005 Götz Waschk <goetz@zarb.org> 1.0.3-1plf
- New release 1.0.3

* Wed Sep  1 2004 Gtz Waschk <goetz@zarb.org> 1.0.2-1plf
- add source URL
- New release 1.0.2

* Tue Jun  8 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.1-1plf
- provide xvid4-devel
- new version

* Mon May 17 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-1plf
- new version

* Mon Apr 12 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc4.1plf
- new version

* Thu Apr  1 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.3plf
- back to rc3

* Thu Apr  1 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-1plf
- update description
- new version

* Thu Mar  4 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.2plf
- fix devel requirement

* Wed Mar  3 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.1plf
- new version

* Thu Feb 12 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc2.1plf
- new prerelease

* Mon Jan  5 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta3.1plf
- use the mdkversion macro
- new version

* Sun Jan  4 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.3plf
- fix shared library symlink

* Wed Dec 10 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.2plf
- fix spec for mdk 9.0

* Tue Dec  9 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.1plf
- add conflict with xvid2-devel
- new version

* Mon Dec  1 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta1.1plf
- drop divx compatiblity headers
- spec cleanup
- major 4
- new version

* Sat Oct  4 2003 Olivier Blin <oliv.blin@laposte.net> 0.9.2-2plf
- fix obsoletes (do not use version)

* Sun Sep  7 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1plf
- 0.9.2
- libdification and %%mklibname
- cleanup

* Tue Jun 24 2003 Gtz Waschk <goetz@plf.zarb.org> 0.9.1-3plf
- fix doc section

* Sun May 18 2003 Gtz Waschk <goetz@plf.zarb.org> 0.9.1-2plf
- enable divx compatibility, does anybody still need this?

* Sat Feb 15 2003 Laurent Culioli <laurent@pschit.net> 0.9.1-1plf
- 0.9.1

* Tue Dec 10 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.9.0-1plf
- add missing docs
- epoch 1
- 0.9.0 release

* Thu Nov  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 20021007-1plf
- new snapshot

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 20020731-1plf
- add explicit conflict xvid-divx-devel <> libdivx4linux0-devel
- new snapshot
- renamed static lib

* Fri Jul 19 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20020719-1plf
- a new snapshot

* Wed Jun 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 20020619-1plf
- new snapshot
- use Makefile.linux for x86 

* Fri Jun 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020520-2plf
- ppc adaptation
- use %%make instead make

* Mon May 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 20020520-1plf
- snapshot
- split package again, extra package for divx headers

* Tue May 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 20020514-1plf
- split package
- new cvs snapshot

* Mon Apr 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 20020412-1plf
- better late than never a new snapshot
- add divx4.h header file

* Tue Apr  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 20020404-1plf
- new snapshot
- change license to GPL
- fix build, use the right makefile
- requires nasm 0.98 aka nasm-compat

* Mon Feb 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 20020121-1plf
- adapt CFLAGS
- initial package


# end of file
